'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _LoginPageContainer = require('./components/LoginPageComponents/LoginPageContainer');

var _LoginPageContainer2 = _interopRequireDefault(_LoginPageContainer);

var _LoginPageHeader = require('./components/LoginPageComponents/LoginPageHeader');

var _LoginPageHeader2 = _interopRequireDefault(_LoginPageHeader);

var _LoginPageFooter = require('./components/LoginPageComponents/LoginPageFooter');

var _LoginPageFooter2 = _interopRequireDefault(_LoginPageFooter);

var _LoginFooterLinks = require('./components/LoginPageComponents/LoginFooterLinks');

var _LoginFooterLinks2 = _interopRequireDefault(_LoginFooterLinks);

var _LoginCard = require('./components/LoginCardComponents/LoginCard');

var _LoginCard2 = _interopRequireDefault(_LoginCard);

var _LoginPageWithTranslation = require('./components/LoginPageComponents/LoginPageWithTranslation');

var _LoginPageWithTranslation2 = _interopRequireDefault(_LoginPageWithTranslation);

var _LoginPageAlert = require('./components/LoginPageComponents/LoginPageAlert');

var _LoginPageAlert2 = _interopRequireDefault(_LoginPageAlert);

var _LoginPageLink = require('./components/LoginPageComponents/LoginPageLink');

var _LoginPageLink2 = _interopRequireDefault(_LoginPageLink);

var _SocialLoginPage = require('./SocialLoginPage');

var _SocialLoginPage2 = _interopRequireDefault(_SocialLoginPage);

var _SocialLoginPageContainer = require('./components/LoginPageComponents/SocialLoginPageContainer');

var _SocialLoginPageContainer2 = _interopRequireDefault(_SocialLoginPageContainer);

var _BasicLoginPageLayout = require('./components/LoginPageComponents/BasicLoginPageLayout');

var _BasicLoginPageLayout2 = _interopRequireDefault(_BasicLoginPageLayout);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var LoginPagePattern = function LoginPagePattern(_ref) {
  var container = _ref.container,
      header = _ref.header,
      footerLinks = _ref.footerLinks,
      card = _ref.card;
  return _react2.default.createElement(
    LoginPage.Container,
    container,
    _react2.default.createElement(LoginPage.Alert, container.alert),
    _react2.default.createElement(
      LoginPage.BasicLayout,
      null,
      _react2.default.createElement(LoginPage.Header, header),
      _react2.default.createElement(
        _LoginCard2.default.BasicLayout,
        null,
        _react2.default.createElement(
          _LoginCard2.default,
          null,
          _react2.default.createElement(
            _LoginCard2.default.Header,
            null,
            _react2.default.createElement(_LoginCard2.default.LanguagePicker, {
              selectedLanguage: card.selectedLanguage,
              availableLanguages: card.availableLanguages,
              onLanguageChange: card.onLanguageChange
            }),
            _react2.default.createElement(
              'h1',
              null,
              card.title
            )
          ),
          _react2.default.createElement(
            _LoginCard2.default.WithValidation,
            card.form,
            _react2.default.createElement(_LoginCard2.default.Form, null)
          ),
          _react2.default.createElement(_LoginCard2.default.SignUp, card.signUp)
        ),
        _react2.default.createElement(LoginPage.Footer, { links: footerLinks })
      )
    )
  );
};

var LoginPage = function LoginPage(props) {
  return _react2.default.createElement(
    LoginPage.WithTranslation,
    props,
    _react2.default.createElement(LoginPage.Pattern, null)
  );
};

LoginPage.Container = _LoginPageContainer2.default;
LoginPage.Header = _LoginPageHeader2.default;
LoginPage.Footer = _LoginPageFooter2.default;
LoginPage.Card = _LoginCard2.default;
LoginPage.FooterLinks = _LoginFooterLinks2.default;
LoginPage.WithTranslation = _LoginPageWithTranslation2.default;
LoginPage.Alert = _LoginPageAlert2.default;
LoginPage.Pattern = LoginPagePattern;
LoginPage.Social = _SocialLoginPage2.default;
LoginPage.SocialContainer = _SocialLoginPageContainer2.default;
LoginPage.BasicLayout = _BasicLoginPageLayout2.default;
LoginPage.Link = _LoginPageLink2.default;

LoginPagePattern.propTypes = {
  container: _propTypes2.default.shape(_extends({}, LoginPage.Container.propTypes)),
  header: _propTypes2.default.shape(_extends({}, LoginPage.Header.propTypes)),
  card: _propTypes2.default.shape(_extends({}, _LoginCard2.default.LanguagePicker.propTypes, _LoginCard2.default.Form.propTypes, _LoginCard2.default.SignUp.propTypes, _LoginCard2.default.RememberMe.propTypes, _LoginCard2.default.ForgotPassword.propTypes)),
  footerLinks: _propTypes2.default.array
};

LoginPagePattern.defaultProps = {
  container: _extends({}, LoginPage.Container.defaultProps),
  header: _extends({}, LoginPage.Header.defaultProps),
  card: _extends({}, _LoginCard2.default.LanguagePicker.defaultProps, _LoginCard2.default.Form.defaultProps, _LoginCard2.default.SignUp.defaultProps, _LoginCard2.default.RememberMe.defaultProps, _LoginCard2.default.ForgotPassword.defaultProps),
  footerLinks: [].concat(_toConsumableArray(LoginPage.Footer.defaultProps.links))
};

LoginPage.propTypes = _extends({}, LoginPagePattern.propTypes);
LoginPage.defaultProps = _extends({}, LoginPagePattern.defaultProps);

exports.default = LoginPage;